apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: minio-secret
  namespace: reactbin
spec:
  vaultAuthRef: reactbin-vault-auth
  mount: kv
  type: kv-v2
  # Required Vault keys at this path:
  #   MINIO_ROOT_USER, MINIO_ROOT_PASSWORD
  path: reactbin/minio/credentials
  refreshAfter: 1h
  destination:
    name: minio-credentials
    create: true
